package com.dd.admin.business.webSocket.util;

import com.alibaba.fastjson.JSON;
import org.tio.core.ChannelContext;
import org.tio.core.Tio;
import org.tio.websocket.common.WsResponse;

public class TioUtil {


    /**
     * 快速生成WsResponse
     * @param action
     * @param body
     * @return
     */
    public static WsResponse madeWsResponse(String handlerType, Object body){
        String reponseMsg = JSON.toJSONString(body);
        return WsResponse.fromText(reponseMsg,"utf-8");
    }

    public static boolean sendMessage(ChannelContext con, String handlerType, Object body){
        WsResponse weResponse = madeWsResponse(handlerType,body);
        return Tio.send(con,weResponse);
    }
}
